Question: Problem to compile the Software Minia
0
gravatar for alecloic
2.7 years ago by
alecloic40
France
alecloic40 wrote:

hello,
I am currently working on a de novo large genome assembly. In this context I would like to use the Minia program that seems to be very effective. I try to install this program for several days, but it does not work.
With "Minia 2.0.1 Linux 64 bit binaries",  I have the following error::

                        FATAL: kernel too old
                        Erreur de segmentation

It would mean that we should upgrade my system

This is a glibc error which has a minimum kernel version it supports, e.g. kernel 2.6.32 on my system:

[bin]$ file minia
minia: ELF 64-bit LSB executable, AMD x86-64, version 1 (GNU/Linux), for GNU/Linux 2.6.32, statically linked, not stripped

and my version is 2.6.18:

[ minia-2.0.1-Source]$ uname -a
Linux illumina04 2.6.18-348.el5 #1 SMP Wed Nov 28 21:22:00 EST 2012 x86_64 x86_64 x86_64 GNU/Linux

 

With "source code", I have the following error messages:

Scanning dependencies of target emphf_copyasis
[  0%] [  0%] Built target H5detect
Built target H5make_libsettings
[  0%] Built target emphf_copyasis
[ 50%] Built target hdf5_postbuild
[ 76%] Built target hdf5
Scanning dependencies of target hdf5_tools
[ 77%] [ 77%] [ 77%] Building C object ext/gatb-core/thirdparty/hdf5/tools/lib/CMakeFiles/hdf5_tools.dir/h5diff_attr.c.o
Building C object ext/gatb-core/thirdparty/hdf5/tools/lib/CMakeFiles/hdf5_tools.dir/h5diff_array.c.o
Building C object ext/gatb-core/thirdparty/hdf5/tools/lib/CMakeFiles/hdf5_tools.dir/h5diff.c.o
[ 78%] Building C object ext/gatb-core/thirdparty/hdf5/tools/lib/CMakeFiles/hdf5_tools.dir/h5diff_dset.c.o
[ 78%] Building C object ext/gatb-core/thirdparty/hdf5/tools/lib/CMakeFiles/hdf5_tools.dir/h5diff_util.c.o
[ 78%] Building C object ext/gatb-core/thirdparty/hdf5/tools/lib/CMakeFiles/hdf5_tools.dir/h5tools.c.o
[ 79%] Building C object ext/gatb-core/thirdparty/hdf5/tools/lib/CMakeFiles/hdf5_tools.dir/h5tools_dump.c.o
[ 79%] Building C object ext/gatb-core/thirdparty/hdf5/tools/lib/CMakeFiles/hdf5_tools.dir/h5tools_filters.c.o
[ 79%] Building C object ext/gatb-core/thirdparty/hdf5/tools/lib/CMakeFiles/hdf5_tools.dir/h5tools_ref.c.o
[ 80%] [ 80%] Building C object ext/gatb-core/thirdparty/hdf5/tools/lib/CMakeFiles/hdf5_tools.dir/h5tools_str.c.o
Building C object ext/gatb-core/thirdparty/hdf5/tools/lib/CMakeFiles/hdf5_tools.dir/h5tools_type.c.o
[ 80%] Building CXX object ext/gatb-core/src/CMakeFiles/gatbcore-static.dir/gatb/bank/impl/BankConverterAlgorithm.cpp.o
[ 80%] Building C object ext/gatb-core/thirdparty/hdf5/tools/lib/CMakeFiles/hdf5_tools.dir/h5tools_utils.c.o
[ 81%] Building C object ext/gatb-core/thirdparty/hdf5/tools/lib/CMakeFiles/hdf5_tools.dir/h5trav.c.o
[ 81%] Building CXX object ext/gatb-core/src/CMakeFiles/gatbcore-static.dir/gatb/bank/impl/BankRandom.cpp.o
[ 82%] Building CXX object ext/gatb-core/src/CMakeFiles/gatbcore-static.dir/gatb/bank/impl/BankAlbum.cpp.o
Linking C static library ../../../../lib/libhdf5_tools.a
[ 82%] Built target hdf5_tools
[ 82%] Building CXX object ext/gatb-core/src/CMakeFiles/gatbcore-static.dir/gatb/bank/impl/Bank.cpp.o
Scanning dependencies of target h5dump
/scripts/Softs/minia-2.0.1-Source/thirdparty/gatb-core/src/gatb/kmer/impl/Model.hpp:741: erreur: type/value mismatch at argument 2 in template parameter list for ‘template<long unsigned int span> template<class ModelImpl, class T> class gatb::core::kmer::impl::Kmer<span>::ModelAbstract’
/scripts/Softs/minia-2.0.1-Source/thirdparty/gatb-core/src/gatb/kmer/impl/Model.hpp:741: erreur:   expected a type, got ‘gatb::core::kmer::impl::Kmer<span>::KmerDirect’
/scripts/Softs/minia-2.0.1-Source/thirdparty/gatb-core/src/gatb/kmer/impl/Model.hpp:746: erreur: type ‘gatb::core::kmer::impl::Kmer<span>’ is not derived from type ‘gatb::core::kmer::impl::Kmer<span>::ModelDirect’
scripts/Softs/minia-2.0.1-Source/thirdparty/gatb-core/src/gatb/kmer/impl/Model.hpp:746: erreur: expected ‘;’ before ‘Kmer’
/scripts/Softs/minia-2.0.1-Source/thirdparty/gatb-core/src/gatb/kmer/impl/Model.hpp:790: erreur: type/value mismatch at argument 2 in template parameter list for ‘template<long unsigned int span> template<class ModelImpl, class T> class gatb::core::kmer::impl::Kmer<span>::ModelAbstract’
/scripts/Softs/minia-2.0.1-Source/thirdparty/gatb-core/src/gatb/kmer/impl/Model.hpp:790: erreur:   expected a type, got ‘gatb::core::kmer::impl::Kmer<span>::KmerCanonical’
/scripts/Softs/minia-2.0.1-Source/thirdparty/gatb-core/src/gatb/kmer/impl/Model.hpp:795: erreur: type ‘gatb::core::kmer::impl::Kmer<span>’ is not derived from type ‘gatb::core::kmer::impl::Kmer<span>::ModelCanonical’
/scripts/Softs/minia-2.0.1-Source/thirdparty/gatb-core/src/gatb/kmer/impl/Model.hpp:795: erreur: expected ‘;’ before ‘Kmer’
/scripts/Softs/minia-2.0.1-Source/thirdparty/gatb-core/src/gatb/kmer/impl/Model.hpp:893: erreur: expected type-specifier
/scripts/Softs/minia-2.0.1-Source/thirdparty/gatb-core/src/gatb/kmer/impl/Model.hpp:893: erreur: expected `>'
/scripts/Softs/minia-2.0.1-Source/thirdparty/gatb-core/src/gatb/kmer/impl/Model.hpp:1130: erreur: patron de l'argument 2 est invalide
/scripts/Softs/minia-2.0.1-Source/thirdparty/gatb-core/src/gatb/kmer/impl/Model.hpp:1131: erreur: ‘Model’ is not a class or namespace
/scripts/Softs/minia-2.0.1-Source/thirdparty/gatb-core/src/gatb/kmer/impl/Model.hpp: In member function ‘void gatb::core::kmer::impl::Kmer<span>::SuperKmer::load(gatb::core::tools::dp::Iterator<gatb::core::tools::math::LargeInt<((span + 31) / 32)> >&)’:
/scripts/Softs/minia-2.0.1-Source/thirdparty/gatb-core/src/gatb/kmer/impl/Model.hpp:1204: erreur: request for member ‘set’ in ‘((gatb::core::kmer::impl::Kmer<span>::SuperKmer*)this)->gatb::core::kmer::impl::Kmer<span>::SuperKmer::kmers[ii]’, which is of non-class type ‘int’
[ 82%] Building C object ext/gatb-core/thirdparty/hdf5/tools/h5dump/CMakeFiles/h5dump.dir/h5dump.c.o
make[2]: *** [ext/gatb-core/src/CMakeFiles/gatbcore-static.dir/gatb/bank/impl/BankConverterAlgorithm.cpp.o] Erreur 1
make[2]: *** Attente des tâches non terminées....
[ 82%] Building C object ext/gatb-core/thirdparty/hdf5/tools/h5dump/CMakeFiles/h5dump.dir/h5dump_ddl.c.o
[ 83%] Building C object ext/gatb-core/thirdparty/hdf5/tools/h5dump/CMakeFiles/h5dump.dir/h5dump_xml.c.o
Linking C executable ../../../../bin/h5dump
cc: unrecognized option '-static-libstdc++'
../../../../lib/libhdf5.a(H5PL.c.o): In function `H5PL__open':
H5PL.c:(.text+0xb2c): warning: Using 'dlopen' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
make[1]: *** [ext/gatb-core/src/CMakeFiles/gatbcore-static.dir/all] Erreur 2
make[1]: *** Attente des tâches non terminées....
[ 83%] Built target h5dump
make: *** [all] Erreur 2

So this seems to be due to a Wrong glibc version.
I do not know if anyone has a better idea of the origin of the problem and its solution. do you know if an older version of the Minia software is avaialble ? do you think that this could be a solution?

cordially

A. GUYOMARD

France

minia compile next-gen assembly • 1.1k views
ADD COMMENTlink modified 2.7 years ago by Rayan Chikhi1.2k • written 2.7 years ago by alecloic40
1

It looks like at least some of the fatal errors are due to mismatched data types. I have seen this in the past when compiling older software with more recent gcc. The solution was to use an older version of gcc (which seem to be more lenient, giving warnings when more recent versions give errors). Another clue is this error: cc: unrecognized option '-static-libstdc++'. It means this is not a valid option for your compiler. I think in this case this means you have to use a newer gcc version because this option was introduced with gcc 4.5.

ADD REPLYlink written 2.7 years ago by Jean-Karim Heriche13k

Note: I've communicated with Alec and he's using GCC 4.1.2.

ADD REPLYlink written 2.7 years ago by Rayan Chikhi1.2k
2
gravatar for Rayan Chikhi
2.7 years ago by
Rayan Chikhi1.2k
France, Lille, CNRS
Rayan Chikhi1.2k wrote:

We plan on providing centos5-compatible binaries, but for now, compiling GATB/Minia/DSK with gcc older than 4.4 is not supported.. I've given Alec the source code of an older version of Minia, for which gcc 4.1 is supported: http://minia.genouest.org/files/minia-1.6906.tar.gz (and for DSK: http://minia.genouest.org/dsk/dsk-1.6906.tar.gz).

ADD COMMENTlink written 2.7 years ago by Rayan Chikhi1.2k
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 2.3.0
Traffic: 1428 users visited in the last hour